<template>
  <div class="lista-pedidos">
    <v-btn big color="primary" class="btn-atualizar-lista-pedidos" @click="btnAtualizarListaPedidos()">
      <v-icon>mdi-cached</v-icon> Atualizar
    </v-btn>

    <div class="lista-pedidos-novos lista-sem-formatacao">
      <ul>
        <li v-for="pedido in pedidos.dados" :key="pedido.id">
          <v-btn color="error" width="100%" @click="selecionaPedido(pedido)" v-if="pedido.status_id == 1">
            {{zerosEsquerda(pedido.id)}}
          </v-btn>
          <v-btn color="info" width="100%" @click="selecionaPedido(pedido)" v-if="pedido.status_id == 2">
            {{zerosEsquerda(pedido.id)}}
          </v-btn>
        </li>
      </ul>
    </div>
    <!--
    {{pedidos.dados[0].id}} -->

    <v-snackbar v-model="snackbarAtualizar" :timeout="timeout">
      {{ text }}
      <v-btn color="white" text @click="snackbarAtualizar = false">
        Close
      </v-btn>
    </v-snackbar>

  </div>



</template>

<script>
  export default {
    name: 'ListaPedidosReceber',
    inject: ['zerosEsquerda'],
    props: [
      'pedidos'
    ],
    data() {
      return {
        teste: null,
        snackbarAtualizar: false,
        text: 'Atualizado!!!',
        timeout: 2000,
      }
    },
    mounted: function () {

    },
    watch: {

    },
    methods: {
      btnAtualizarListaPedidos: function () {
        console.log("ListaPedidosReceber btnAtualizarListaPedidos");

        this.$parent.$parent.getPedidos();

        this.$nextTick(() => {
          this.snackbarAtualizar = true;
        });
      },
      selecionaPedido: function (pedido) {
        console.log("ListaPedidosReceber selcionaPedido");

        this.$parent.$parent.selecionaPedido(pedido);
      }

    }

  }
</script>

<style lang="scss">
  .lista-pedidos {
    text-align: center;
  }

  .btn-atualizar-lista-pedidos {
    margin-bottom: 20px;
  }

  .lista-sem-formatacao ul {
    list-style-type: none;
    margin-left: 0 !important;
    padding: 0;
  }

  .lista-sem-formatacao li {
    margin: 0;
    padding: 0 0 10px;
  }

  .v-application ul {
    padding-left: 3px !important;
  }
</style>